Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcblk.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcblk.F90	(revision 11782)
@@ -188,5 +188,5 @@
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_blk in configuration namelist' )
       !
-      IF(lwm) WRITE( numond, namsbc_blk )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namsbc_blk )
       !
       !                             !** initialization of the chosen bulk formulae (+ check)
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbccpl.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbccpl.F90	(revision 11782)
@@ -271,5 +271,5 @@
       READ  ( numnam_cfg, namsbc_cpl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_cpl in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_cpl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_cpl )
       !
       IF(lwp) THEN                        ! control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcflx.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcflx.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcflx.F90	(revision 11782)
@@ -98,5 +98,5 @@
          READ  ( numnam_cfg, namsbc_flx, IOSTAT = ios, ERR = 902 )
 902      IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_flx in configuration namelist' )
-         IF(lwm) WRITE ( numond, namsbc_flx ) 
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_flx ) 
          !
          !                                         ! check: do we plan to use ln_dm2dc with non-daily forcing?
@@ -159,5 +159,5 @@
          CALL lbc_lnk( 'sbcflx', taum(:,:), 'T', 1. )   ;   CALL lbc_lnk( 'sbcflx', wndm(:,:), 'T', 1. )
 
-         IF( nitend-nit000 <= 100 .AND. lwp ) THEN                ! control print (if less than 100 time-step asked)
+         IF( nitend-nit000 <= 100 .AND. lwp .AND. nprint > 0 ) THEN                ! control print (if less than 100 time-step asked)
             WRITE(numout,*) 
             WRITE(numout,*) '        read daily momentum, heat and freshwater fluxes OK'
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcfwb.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcfwb.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcfwb.F90	(revision 11782)
@@ -187,5 +187,5 @@
             erp(:,:) = erp(:,:) + zerp_cor(:,:)
             !
-            IF( nprint == 1 .AND. lwp ) THEN                   ! control print
+            IF( nprint > 3 .AND. lwp ) THEN                   ! control print
                IF( z_fwf < 0._wp ) THEN
                   WRITE(numout,*)'   z_fwf < 0'
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcice_cice.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcice_cice.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcice_cice.F90	(revision 11782)
@@ -159,5 +159,5 @@
       !!---------------------------------------------------------------------
       !
-      IF(lwp) WRITE(numout,*)'cice_sbc_init'
+      IF(lwp .AND. nprint > 0) WRITE(numout,*)'cice_sbc_init'
 
       ji_off = INT ( (jpiglo - nx_global) / 2 )
@@ -287,5 +287,5 @@
       !
       IF( kt == nit000 )  THEN
-         IF(lwp) WRITE(numout,*)'cice_sbc_in'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)'cice_sbc_in'
       ENDIF
 
@@ -501,5 +501,5 @@
       !
       IF( kt == nit000 )  THEN
-         IF(lwp) WRITE(numout,*)'cice_sbc_out'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)'cice_sbc_out'
       ENDIF
       
@@ -665,5 +665,5 @@
       !
       IF( kt == nit000 )  THEN
-         IF(lwp) WRITE(numout,*)'cice_sbc_hadgam'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)'cice_sbc_hadgam'
          IF( sbc_cpl_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'sbc_cpl_alloc : unable to allocate arrays' )
       ENDIF
@@ -696,5 +696,5 @@
       !!---------------------------------------------------------------------
       !
-      IF(lwp) WRITE(numout,*)'cice_sbc_final'
+      IF(lwp .AND. nprint > 0) WRITE(numout,*)'cice_sbc_final'
       !
       CALL CICE_Finalize
@@ -814,5 +814,5 @@
 
       ! control print (if less than 100 time-step asked)
-      IF( nitend-nit000 <= 100 .AND. lwp ) THEN
+      IF( nitend-nit000 <= 100 .AND. lwp .AND. nprint > 0 ) THEN
          WRITE(numout,*) 
          WRITE(numout,*) '        read forcing fluxes for CICE OK'
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcice_if.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcice_if.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcice_if.F90	(revision 11782)
@@ -81,5 +81,5 @@
          READ  ( numnam_cfg, namsbc_iif, IOSTAT = ios, ERR = 902 )
 902      IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_iif in configuration namelist' )
-         IF(lwm) WRITE ( numond, namsbc_iif )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_iif )
 
          ALLOCATE( sf_ice(1), STAT=ierror )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcisf.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcisf.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcisf.F90	(revision 11782)
@@ -206,5 +206,5 @@
          IF( ln_rstart .AND.    &                     ! Restart: read in restart file
             &   iom_varid( numror, 'fwf_isf_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 isf tracer content forcing fields read in the restart file'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 isf tracer content forcing fields read in the restart file'
             CALL iom_get( numror, jpdom_autoglo, 'fwf_isf_b', fwfisf_b(:,:)         , ldxios = lrxios )   ! before salt content isf_tsc trend
             CALL iom_get( numror, jpdom_autoglo, 'isf_sc_b' , risf_tsc_b(:,:,jp_sal), ldxios = lrxios )   ! before salt content isf_tsc trend
@@ -217,8 +217,8 @@
       ! 
       IF( lrst_oce ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc : isf surface tracer content forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc : isf surface tracer content forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'fwf_isf_b', fwfisf(:,:)         , ldxios = lwxios )
@@ -283,5 +283,5 @@
       READ  ( numnam_cfg, namsbc_isf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_isf in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_isf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_isf )
 
       IF(lwp) WRITE(numout,*)
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcmod.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcmod.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcmod.F90	(revision 11782)
@@ -114,5 +114,5 @@
       READ  ( numnam_cfg, namsbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc in configuration namelist' )
-      IF(lwm) WRITE( numond, namsbc )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namsbc )
       !
 #if defined key_mpp_mpi
@@ -499,5 +499,5 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'utau_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
             CALL iom_get( numror, jpdom_autoglo, 'utau_b', utau_b, ldxios = lrxios )   ! before i-stress  (U-point)
             CALL iom_get( numror, jpdom_autoglo, 'vtau_b', vtau_b, ldxios = lrxios )   ! before j-stress  (V-point)
@@ -513,5 +513,5 @@
             ENDIF
          ELSE                                                   !* no restart: set from nit000 values
-            IF(lwp) WRITE(numout,*) '          nit000-1 surface forcing fields set to nit000'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 surface forcing fields set to nit000'
             utau_b(:,:) = utau(:,:)
             vtau_b(:,:) = vtau(:,:)
@@ -524,8 +524,8 @@
       IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
          !                                             ! ---------------------------------------- !
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc : ocean surface forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc : ocean surface forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'utau_b' , utau, ldxios = lwxios )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcrnf.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcrnf.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcrnf.F90	(revision 11782)
@@ -146,10 +146,10 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'rnf_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 runoff forcing fields red in the restart file', lrxios
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 runoff forcing fields red in the restart file', lrxios
             CALL iom_get( numror, jpdom_autoglo, 'rnf_b', rnf_b, ldxios = lrxios )     ! before runoff
             CALL iom_get( numror, jpdom_autoglo, 'rnf_hc_b', rnf_tsc_b(:,:,jp_tem), ldxios = lrxios )   ! before heat content of runoff
             CALL iom_get( numror, jpdom_autoglo, 'rnf_sc_b', rnf_tsc_b(:,:,jp_sal), ldxios = lrxios )   ! before salinity content of runoff
          ELSE                                                   !* no restart: set from nit000 values
-            IF(lwp) WRITE(numout,*) '          nit000-1 runoff forcing fields set to nit000'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 runoff forcing fields set to nit000'
             rnf_b    (:,:  ) = rnf    (:,:  )
             rnf_tsc_b(:,:,:) = rnf_tsc(:,:,:)
@@ -159,8 +159,8 @@
       IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
          !                                             ! ---------------------------------------- !
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbcrnf : runoff forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbcrnf : runoff forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'rnf_b' , rnf, ldxios = lwxios )
@@ -272,5 +272,5 @@
       READ  ( numnam_cfg, namsbc_rnf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_rnf in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_rnf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_rnf )
       !
       !                                         ! Control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcssm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcssm.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcssm.F90	(revision 11782)
@@ -151,8 +151,8 @@
          IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
             !                                             ! ---------------------------------------- !
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) 'sbc_ssm : sea surface mean fields written in ocean restart file ',   &
+            IF(lwp .AND. nprint > 0) WRITE(numout,*)
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc_ssm : sea surface mean fields written in ocean restart file ',   &
                &                    'at it= ', kt,' date= ', ndastp
-            IF(lwp) WRITE(numout,*) '~~~~~~~'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~~~~'
             zf_sbc = REAL( nn_fsbc, wp )
             IF( lwxios ) CALL iom_swap(      cwxios_context          )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcssr.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcssr.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcssr.F90	(revision 11782)
@@ -171,5 +171,5 @@
       READ  ( numnam_cfg, namsbc_ssr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_ssr in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_ssr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_ssr )
 
       IF(lwp) THEN                 !* control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcwave.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcwave.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcwave.F90	(revision 11782)
@@ -402,5 +402,5 @@
       READ  ( numnam_cfg, namsbc_wave, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_wave in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_wave )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_wave )
       !
       IF( ln_cdgw ) THEN
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/tideini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/tideini.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/tideini.F90	(revision 11782)
@@ -65,5 +65,5 @@
       READ  ( numnam_cfg, nam_tide, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nam_tide in configuration namelist' )
-      IF(lwm) WRITE ( numond, nam_tide )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_tide )
       !
       IF( ln_tide ) THEN
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/STO/stopar.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/STO/stopar.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/STO/stopar.F90	(revision 11782)
@@ -268,5 +268,5 @@
       READ  ( numnam_cfg, namsto, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namsto in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsto )
+      IF(lwm  .AND. nprint > 2) WRITE ( numond, namsto )
 
       IF( .NOT.ln_sto_eos ) THEN   ! no use of stochastic parameterization
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/eosbn2.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/eosbn2.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/eosbn2.F90	(revision 11782)
@@ -1242,5 +1242,5 @@
       READ  ( numnam_cfg, nameos, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nameos in configuration namelist' )
-      IF(lwm) WRITE( numond, nameos )
+      IF(lwm .AND. nprint > 2) WRITE( numond, nameos )
       !
       rau0        = 1026._wp                 !: volumic mass of reference     [kg/m3]
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/traadv.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/traadv.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/traadv.F90	(revision 11782)
@@ -201,5 +201,5 @@
       READ  ( numnam_cfg, namtra_adv, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_adv in configuration namelist' )
-      IF(lwm) WRITE( numond, namtra_adv )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtra_adv )
       !
       IF(lwp) THEN                           ! Namelist print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trabbc.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trabbc.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trabbc.F90	(revision 11782)
@@ -140,5 +140,5 @@
       READ  ( numnam_cfg, nambbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nambbc in configuration namelist' )
-      IF(lwm) WRITE ( numond, nambbc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambbc )
       !
       IF(lwp) THEN                     ! Control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trabbl.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trabbl.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trabbl.F90	(revision 11782)
@@ -490,5 +490,5 @@
       READ  ( numnam_cfg, nambbl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nambbl in configuration namelist' )
-      IF(lwm) WRITE ( numond, nambbl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambbl )
       !
       l_bbl = .TRUE.                 !* flag to compute bbl coef and transport
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/tradmp.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/tradmp.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/tradmp.F90	(revision 11782)
@@ -184,5 +184,5 @@
       READ  ( numnam_cfg, namtra_dmp, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_dmp in configuration namelist' )
-      IF(lwm) WRITE ( numond, namtra_dmp )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_dmp )
       !
       IF(lwp) THEN                  ! Namelist print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/tramle.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/tramle.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/tramle.F90	(revision 11782)
@@ -273,5 +273,5 @@
       READ  ( numnam_cfg, namtra_mle, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_mle in configuration namelist' )
-      IF(lwm) WRITE ( numond, namtra_mle )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_mle )
 
       IF(lwp) THEN                     ! Namelist print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/traqsr.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/traqsr.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/traqsr.F90	(revision 11782)
@@ -135,5 +135,5 @@
 !!gm case neuler  not taken into account....
          IF( ln_rstart .AND. iom_varid( numror, 'qsr_hc_b', ldstop = .FALSE. ) > 0 ) THEN    ! read in restart
-            IF(lwp) WRITE(numout,*) '          nit000-1 qsr tracer content forcing field read in the restart file'
+            IF(lwp .AND. nprint >0) WRITE(numout,*) '          nit000-1 qsr tracer content forcing field read in the restart file'
             z1_2 = 0.5_wp
             CALL iom_get( numror, jpdom_autoglo, 'qsr_hc_b', qsr_hc_b, ldxios = lrxios )   ! before heat content trend due to Qsr flux
@@ -343,5 +343,5 @@
       READ  ( numnam_cfg, namtra_qsr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_qsr in configuration namelist' )
-      IF(lwm) WRITE ( numond, namtra_qsr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_qsr )
       !
       IF(lwp) THEN                ! control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trasbc.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trasbc.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRA/trasbc.F90	(revision 11782)
@@ -107,5 +107,5 @@
          IF( ln_rstart .AND.    &               ! Restart: read in restart file
               & iom_varid( numror, 'sbc_hc_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 sbc tracer content field read in the restart file'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 sbc tracer content field read in the restart file'
             zfact = 0.5_wp
             sbc_tsc(:,:,:) = 0._wp
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRD/trdini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRD/trdini.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRD/trdini.F90	(revision 11782)
@@ -53,5 +53,5 @@
       READ  ( numnam_cfg, namtrd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtrd in configuration namelist' )
-      IF(lwm) WRITE( numond, namtrd )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtrd )
       !
       IF(lwp) THEN                  ! control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRD/trdmxl.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRD/trdmxl.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/TRD/trdmxl.F90	(revision 11782)
@@ -739,5 +739,5 @@
       READ  ( numnam_cfg, namtrd_mxl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtrd_mxl in configuration namelist' )
-      IF(lwm) WRITE( numond, namtrd_mxl )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtrd_mxl )
       !
       IF(lwp) THEN                      ! control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/USR/usrdef_hgr.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/USR/usrdef_hgr.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/USR/usrdef_hgr.F90	(revision 11782)
@@ -107,5 +107,5 @@
          CALL ctl_warn( ' GYRE used as Benchmark: e1=e2=106km, no need to adjust rdt, ahm,aht ' )
       ENDIF
-      IF( nprint==1 .AND. lwp )   THEN
+      IF( nprint > 3 .AND. lwp )   THEN
          WRITE(numout,*) 'ze1', ze1, 'cosalpha', zcos_alpha, 'sinalpha', zsin_alpha
          WRITE(numout,*) 'ze1deg', ze1deg, 'zlam0', zlam0, 'zphi0', zphi0
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/USR/usrdef_nam.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/USR/usrdef_nam.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/USR/usrdef_nam.F90	(revision 11782)
@@ -63,5 +63,5 @@
 902   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namusr_def in configuration namelist' )
       !
-      IF(lwm)   WRITE( numond, namusr_def )
+      IF(lwm .AND. nprint > 2)   WRITE( numond, namusr_def )
       !
       cd_cfg = 'GYRE'               ! name & resolution (not used)
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfdrg.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfdrg.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfdrg.F90	(revision 11782)
@@ -242,5 +242,5 @@
       READ  ( numnam_cfg, namdrg, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam( ios , 'namdrg in configuration namelist' )
-      IF(lwm) WRITE ( numond, namdrg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdrg )
       !
       IF(lwp) THEN
@@ -343,6 +343,6 @@
       IF(ll_bot)   READ  ( numnam_cfg, namdrg_bot, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam( ios , TRIM(cl_namcfg) )
-      IF(lwm .AND. ll_top)   WRITE ( numond, namdrg_top )
-      IF(lwm .AND. ll_bot)   WRITE ( numond, namdrg_bot )
+      IF(lwm .AND. ll_top .AND. nprint > 2)   WRITE ( numond, namdrg_top )
+      IF(lwm .AND. ll_bot .AND. nprint > 2)   WRITE ( numond, namdrg_bot )
       !
       IF(lwp) THEN
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfgls.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfgls.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfgls.F90	(revision 11782)
@@ -864,5 +864,5 @@
       READ  ( numnam_cfg, namzdf_gls, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namzdf_gls in configuration namelist' )
-      IF(lwm) WRITE ( numond, namzdf_gls )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_gls )
 
       IF(lwp) THEN                     !* Control print
@@ -1193,5 +1193,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- gls-rst ----'
+         IF(lwp .AND. nprint > 2) WRITE(numout,*) '---- gls-rst ----'
          IF( lwxios ) CALL iom_swap(      cwxios_context         )
          CALL iom_rstput( kt, nitrst, numrow, 'en'    , en    , ldxios = lwxios )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfiwm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfiwm.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfiwm.F90	(revision 11782)
@@ -429,5 +429,5 @@
       READ  ( numnam_cfg, namzdf_iwm, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namzdf_iwm in configuration namelist' )
-      IF(lwm) WRITE ( numond, namzdf_iwm )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_iwm )
       !
       IF(lwp) THEN                  ! Control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfosm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfosm.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfosm.F90	(revision 11782)
@@ -1391,5 +1391,5 @@
      READ  ( numnam_cfg, namzdf_osm, IOSTAT = ios, ERR = 902 )
 902  IF( ios >  0 ) CALL ctl_nam ( ios , 'namzdf_osm in configuration namelist' )
-     IF(lwm) WRITE ( numond, namzdf_osm )
+     IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_osm )
 
      IF(lwp) THEN                    ! Control print
@@ -1567,5 +1567,5 @@
      !!-----------------------------------------------------------------------------
      IF( TRIM(cdrw) == 'WRITE') THEN     !* Write hbli into the restart file, then return
-        IF(lwp) WRITE(numout,*) '---- osm-rst ----'
+        IF(lwp  .AND. nprint > 0) WRITE(numout,*) '---- osm-rst ----'
          CALL iom_rstput( kt, nitrst, numrow, 'wn'     , wn  , ldxios = lwxios )
          CALL iom_rstput( kt, nitrst, numrow, 'hbl'    , hbl , ldxios = lwxios )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfphy.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfphy.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfphy.F90	(revision 11782)
@@ -98,5 +98,5 @@
       READ  ( numnam_cfg, namzdf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namzdf in configuration namelist' )
-      IF(lwm)   WRITE ( numond, namzdf )
+      IF(lwm .AND. nprint > 2)   WRITE ( numond, namzdf )
       !
       IF(lwp) THEN                      ! Parameter print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfric.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfric.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdfric.F90	(revision 11782)
@@ -85,5 +85,5 @@
       READ  ( numnam_cfg, namzdf_ric, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namzdf_ric in configuration namelist' )
-      IF(lwm) WRITE ( numond, namzdf_ric )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_ric )
       !
       IF(lwp) THEN                   ! Control print
@@ -234,5 +234,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- ric-rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- ric-rst ----'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'avt_k', avt_k, ldxios = lwxios )
